﻿using System.ComponentModel;

namespace Wisej.Web
{
	/// <summary>
	/// Extends the Wisej.Web.ComboBox class adding a new ShowLoader property to
	/// let the combo box display the ajax loaded insted of the dropdown button
	/// while loading list items on drop down.
	/// </summary>
	public class ComboBoxEx : ComboBox
	{

		/// <summary>
		/// Returns or sets a value indicating whether the combo box shows a the loader icon when
		/// it is droppping down but it doesn't have any item.
		/// </summary>
		[DefaultValue(false)]
		public bool ShowLoader
		{
			get { return this._showLoader; }
			set
			{
				if (this._showLoader != value)
				{
					this._showLoader = value;
					Update();
				}
			}
		}
		private bool _showLoader = false;


		protected override void OnWebRender(dynamic config)
		{
			base.OnWebRender((object)config);

			config.className = "wisej.web.ComboBoxEx";
			config.showLoader = this.ShowLoader;
		}
	}
}